# Command: unittest::exit_test_gracefully

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    unittest::exit_test_gracefully - End test script and report success

Synopsis:

    exit_test_gracefully ->	-

Description:

      This function will terminate NEST/SLI with a return code signaling success.
      It should be used to leave test scripts that have special prerequisites.
      Example:
      /unittest using
      is_threaded not { /skipped_no_openmp exit_test_gracefully } if

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/lib/sli/unittest.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative